Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1517285 - On Tag Assignment page Category has other Tags than preconfigured for it
Summary: On Tag Assignment page Category has other Tags than preconfigured for it
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: GA
: 5.10.0
Assignee: Zita Nemeckova
QA Contact: Jadh
URL:
Whiteboard: ui:tag
Depends On:
Blocks: 1533233
TreeView+ depends on / blocked
 
Reported: 2017-11-24 13:51 UTC by nzayats
Modified: 2019-02-11 13:53 UTC (History)
6 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1533233 (view as bug list)
Environment:
Last Closed: 2019-02-11 13:53:54 UTC
Category: ---
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot which shows the issue (deleted)
2017-11-24 13:51 UTC, nzayats
no flags Details
screenshot which shows created category and tags (deleted)
2017-11-24 13:54 UTC, nzayats
no flags Details
new_repro (deleted)
2018-01-18 15:02 UTC, nzayats
no flags Details

Description nzayats 2017-11-24 13:51:02 UTC
Created attachment 1358674 [details]
screenshot which shows the issue

Description of problem:
When adding Tag to provider (or other objects) selected by default Category has other Tags than preconfigured for this Category.

Version-Release number of selected component (if applicable):
5.9.0.10

How reproducible:
100%

Steps to Reproduce:
1. Create lowercase My Company Category which starts from "aa" letters 
(Example: "aa new tag", it must be on first position in drop-down list when selecting category) with tags tag1 and tag2.

2. Assign tag from step 1 to provider.

Actual results:
On Edit tags page selected by default category "aa new tag" has tags [1,2,3,4,5]

Expected results:
On Edit tags page selected by default tag "aa new tag" has tags [tag1, tag2]

Additional info:

Comment 2 nzayats 2017-11-24 13:54:25 UTC
Created attachment 1358676 [details]
screenshot which shows created category and tags

Comment 6 nzayats 2018-01-18 15:01:48 UTC
During verification on 5.9.0.17 mentioned that issue reproduces after deleting the custom category with default category.

Steps:
1.Create My Company Category (Name:aa_new_test, Description:Aa new test) letters 
with tags tag1 and tag2.
2.Assign tag1 from step 1 to provider.

3.Unassign tag1 from provider.
4.Delete My Company Category from step 1
5.Go to providers detail page
6.Click on Policy-Edit tags
7.Find tags of the selected by default category 'Auto Approve - Max CPU'

Actual results:
On Edit tags page selected by default category "Auto Approve - Max CPU" has tags [Cost Center 001, Cost Center 002]

Expected results:
On Edit tags page selected by default category "Auto Approve - Max CPU" has tags [1,2,3,4,5]

Please let me know if I need to create a separate BZ for this issue or it could be fixed in scope of this BZ.

Comment 7 nzayats 2018-01-18 15:02:42 UTC
Created attachment 1382926 [details]
new_repro

Comment 8 Zita Nemeckova 2018-01-30 09:38:49 UTC
Hi,

can you please give an appliance where I can reproduce. I'm failing to reproduce on master.

Thanks,
Zita

Comment 9 nzayats 2018-01-30 09:55:34 UTC
Hi Zita,

You can use this appliance 10.8.198.231 (expiration 2d). 
I've already reproduced issue there using steps from the comment above. 
You can check for example tagging cloud provider, default category will be 'Auto Approve - Max CPU' and tags 'Cost Center 001' and 'Cost Center 002' which are related to 'Cost Center' category.

Please let me know if you have some questions.

Comment 11 CFME Bot 2018-02-01 16:05:59 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:
https://github.com/ManageIQ/manageiq-ui-classic/commit/c6a47ba6ffa3814f9629ce4ed497a0a4f2ceb42c

commit c6a47ba6ffa3814f9629ce4ed497a0a4f2ceb42c
Author:     Zita Nemeckova <znemecko@redhat.com>
AuthorDate: Wed Jan 31 09:28:21 2018 +0100
Commit:     Zita Nemeckova <znemecko@redhat.com>
CommitDate: Wed Jan 31 09:28:21 2018 +0100

    Sort tag by descriptions not by name
    
    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1517285

 app/controllers/application_controller/tags.rb | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)


Note You need to log in before you can comment on or make changes to this bug.